﻿@model SportsClub.Models.FollowUpFormUploadViewModel

@{
    Layout = "~/Views/Shared/_Layout.cshtml";
    ViewBag.Title = "Upload Supplemental Document";
    long orderItemId = Model.OrderItemId;
    int formId = Model.FormId;
}

<div id="followup-form">
    <div class="container">
        <h1>Upload Supplemental Document</h1>
        @using (Html.BeginForm("SaveUplodedForms", "FollowupForm", FormMethod.Post))
        {
            <div>
                @(Html.Kendo().Upload()
                     .Name("supplementalDocument")
                    .Async(a => a
                         .Save("SaveFile", "KendoEditorFiles", new { orderItemId = orderItemId, formId = formId })
                         .Remove("RemoveFile", "KendoEditorFiles")
                         .AutoUpload(true)
                    )
                    .Events(events => events
                       .Error("onError")
                        .Success("onSuccess")
                    )
                )
                @Html.HiddenFor(m => m.FileNames, new { @id = "hdnfilenames" })
                @Html.HiddenFor(m => m.FileUrls, new { @id = "hdnfileurls" })
                @Html.HiddenFor(m => m.OrderItemId)
                @Html.HiddenFor(m => m.FormId)
                @Html.HiddenFor(m => m.UId)
            </div>
            <br />
            <input type="submit" value="Submit" class="btn btn-success place-right pull-right" />
        }

    </div>
</div>
@section Styles{
    <style>
        #followup-form {
            background-color: rgb(255, 255, 255);
            padding-bottom: 50px;
        }
    </style>
}
@section Scripts{

    <script src="~/Scripts/Kendo/kendo.all.min.js"></script>
}

<script>
    function onError(e) {
       

    }
    function onSuccess(e) {
        var filenames = $("#hdnfilenames").val();
       
        if(filenames=='')
        {
            $("#hdnfilenames").val(e.response.fileName);
        }
        else
        {
            $("#hdnfilenames").val(filenames+';' + e.response.fileName);
        }

        var fileurls = $("#hdnfileurls").val();
   
        if (fileurls == '') {
            $("#hdnfileurls").val(e.response.URL);
        }
        else {
            $("#hdnfileurls").val(fileurls+';' + e.response.URL);
        }


    }
</script>
